## ros-humble-autoware-lanelet2-extension 0.6.1

=== debian/changelog ===
ros-humble-autoware-lanelet2-extension (0.6.1-1bookworm) bookworm; urgency=high

  * feat(lanelet2_extension): add util/visualization of BusStopArea (#28 <https://github.com/autowarefoundation/autoware_lanelet2_extension/issues/28>)
  * feat(lanelet2_extension): add query for bicycle_lane (#29 <https://github.com/autowarefoundation/autoware_lanelet2_extension/issues/29>)
    add bicycle_lane query
  * Contributors: Mamoru Sobue

 -- mitsudome-r <ryohsuke.mitsudome@tier4.jp>  Thu, 05 Sep 2024 16:00:00 -0000

ros-humble-autoware-lanelet2-extension (0.6.0-1bookworm) bookworm; urgency=high

  * feat(lanelet2_extension)!: release format_v2 (#26 <https://github.com/autowarefoundation/autoware_lanelet2_extension/issues/26>)
  * docs(autoware_lanelet2_extension): refactor document (#25 <https://github.com/autowarefoundation/autoware_lanelet2_extension/issues/25>)
    * refactor doc
    * Update autoware_lanelet2_extension/docs/lanelet2_format_extension.md
    Co-authored-by: Ryohsuke Mitsudome <mailto:43976834+mitsudome-r@users.noreply.github.com>
    ---------
    Co-authored-by: Ryohsuke Mitsudome <mailto:43976834+mitsudome-r@users.noreply.github.com>
  * feat(lanelet2_extension): format v2 bicycle lane doc (#24 <https://github.com/autowarefoundation/autoware_lanelet2_extension/issues/24>)
  * feat(lanelet2_extension): update documentation for bus_stop_area to be introduced in format_version2 (#21 <https://github.com/autowarefoundation/autoware_lanelet2_extension/issues/21>)
  * feat(lanelet2_extension): add bus_stop_area implementation (#22 <https://github.com/autowarefoundation/autoware_lanelet2_extension/issues/22>)
  * Contributors: Mamoru Sobue

 -- mitsudome-r <ryohsuke.mitsudome@tier4.jp>  Tue, 27 Aug 2024 16:00:00 -0000

ros-humble-autoware-lanelet2-extension (0.5.0-1bookworm) bookworm; urgency=high

  * feat(lanelet2_extension)!: introduce API versioning along with format_version (#18 <https://github.com/autowarefoundation/autoware_lanelet2_extension/issues/18>)
  * build: remove redundant move for build on noble (#12 <https://github.com/autowarefoundation/autoware_lanelet2_extension/issues/12>)
    remove redundant move
  * refactor: remove redundant cmake definition (#13 <https://github.com/autowarefoundation/autoware_lanelet2_extension/issues/13>)
    * remove redundant cmake definition
    * style(pre-commit): autofix
    ---------
    Co-authored-by: pre-commit-ci[bot] <66853113+pre-commit-ci[bot]@users.noreply.github.com>
    Co-authored-by: Yutaka Kondo <mailto:yutaka.kondo@youtalk.jp>
  * chore: apply pre-commit (#14 <https://github.com/autowarefoundation/autoware_lanelet2_extension/issues/14>)
    apply pre-commit
  * Contributors: Daisuke Nishimatsu, Mamoru Sobue

 -- mitsudome-r <ryohsuke.mitsudome@tier4.jp>  Tue, 09 Jul 2024 16:00:00 -0000

ros-humble-autoware-lanelet2-extension (0.4.0-1bookworm) bookworm; urgency=high

  * Merge pull request #11 <https://github.com/youtalk/autoware_lanelet2_extension/issues/11> from youtalk/import-update
    feat: import updates from autoware_common
  * fix link
  * feat(lanelet2_extension): overwriteLaneletsCenterline supports "waypoints" (#252 <https://github.com/youtalk/autoware_lanelet2_extension/issues/252>)
    * feat(lanelet2_extension): centerline is converted to waypoints
    * fix lanelet2_extension_python
    * update README
    * fix
    * fix
    * early return
    * fix clang-tidy
    * Update tmp/lanelet2_extension/lib/utilities.cpp
    Co-authored-by: Ryohsuke Mitsudome <mailto:43976834+mitsudome-r@users.noreply.github.com>
    * style(pre-commit): autofix
    * fix
    ---------
    Co-authored-by: Ryohsuke Mitsudome <mailto:43976834+mitsudome-r@users.noreply.github.com>
    Co-authored-by: pre-commit-ci[bot] <66853113+pre-commit-ci[bot]@users.noreply.github.com>
  * fix: boost optional build error on rolling environment (#241 <https://github.com/youtalk/autoware_lanelet2_extension/issues/241>)
  * perf(lanelet2_extension): use std::unordered_set<>::find instead of std::find (#244 <https://github.com/youtalk/autoware_lanelet2_extension/issues/244>)
    perf(exists): use std::unordered_set<>::find instead of std::find
  * Contributors: Maxime CLEMENT, Takayuki Murooka, Yutaka Kondo, ぐるぐる

 -- mitsudome-r <ryohsuke.mitsudome@tier4.jp>  Sun, 23 Jun 2024 16:00:00 -0000

ros-humble-autoware-lanelet2-extension (0.3.0-1bookworm) bookworm; urgency=high

  * Merge remote-tracking branch 'upstream/main' into rolling
  * Merge pull request #6 <https://github.com/youtalk/autoware_lanelet2_extension/issues/6> from youtalk/autoware-msgs-migration
    feat: autoware_msgs migration
  * feat(autoware_common): update and replace autoware_auto_msg
  * feat(lanelet2_extension): replace autoware_auto_mapping_msg with autoware_map_msg (#216 <https://github.com/youtalk/autoware_lanelet2_extension/issues/216>)
    * feat(lanelet2_extension): replace autoware-auto-mapping-msg to autoware-map-msg
    * style(pre-commit): autofix
    ---------
    Co-authored-by: pre-commit-ci[bot] <66853113+pre-commit-ci[bot]@users.noreply.github.com>
  * Contributors: Yutaka Kondo, cyn-liu, liu cui

 -- mitsudome-r <ryohsuke.mitsudome@tier4.jp>  Thu, 30 May 2024 16:00:00 -0000

ros-humble-autoware-lanelet2-extension (0.2.0-1bookworm) bookworm; urgency=high

  * refactor: add autoware_ prefix to package names and namespaces (#3 <https://github.com/youtalk/autoware_lanelet2_extension/issues/3>)
    * fix readme
    * fix link
    * fix link
    * revert readme
    * wip
    * update package names
    * update package names
    * fix include
    * rename module
    * rename to autoware_
    * fix depend
    * rename to autoware_
    * Revert "wip"
    This reverts commit 8079660c318feace9d841aacd39a8945aa144cf7.
    ---------
  * Contributors: Yutaka Kondo

 -- mitsudome-r <ryohsuke.mitsudome@tier4.jp>  Mon, 06 May 2024 16:00:00 -0000
